From 58f8543225a47a1a580ab4f58d9378f5f08ecea5 Mon Sep 17 00:00:00 2001
From: LinArcX <linarcx@gmail.com>
Date: Sat, 20 Jul 2019 22:09:06 +0430
Subject: [PATCH 01/10] New package: la-capitaine-icon-theme-0.6.1

---
 srcpkgs/la-capitaine-icon-theme/template | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100644 srcpkgs/la-capitaine-icon-theme/template

diff --git a/srcpkgs/la-capitaine-icon-theme/template b/srcpkgs/la-capitaine-icon-theme/template
new file mode 100644
index 00000000000..af14dda53ce
--- /dev/null
+++ b/srcpkgs/la-capitaine-icon-theme/template
@@ -0,0 +1,18 @@
+# Template file for 'la-capitaine-icon-theme'
+pkgname=la-capitaine-icon-theme
+version=0.6.1
+revision=1
+archs=noarch
+build_style=fetch
+short_desc="Icon pack designed to integrate with most desktop environments"
+maintainer="linarcx <linarcx@gmail.com>"
+license="GPL-3"
+homepage="https://github.com/keeferrourke/${pkgname}"
+distfiles="${homepage}/archive/v${version}.tar.gz"
+checksum=9adb3123bf61464696400af43000b61de1825d2ce4b4ad4f21dd78091bd55e73
+
+do_install() {
+	tar xzf v${version}.tar.gz
+	vmkdir usr/share/icons
+	vcopy la-capitaine-icon-theme-${version} usr/share/icons/La-Capitaine-Icon-Theme
+}

From 8bec6bafa05931cc813221a97346ef51ea2c3020 Mon Sep 17 00:00:00 2001
From: LinArcX <linarcx@gmail.com>
Date: Sun, 21 Jul 2019 02:11:49 +0430
Subject: [PATCH 02/10] New package: mcos-mjv-xfce-edition-6435c39

---
 srcpkgs/mcos-mjv-xfce-edition/template | 39 ++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 srcpkgs/mcos-mjv-xfce-edition/template

diff --git a/srcpkgs/mcos-mjv-xfce-edition/template b/srcpkgs/mcos-mjv-xfce-edition/template
new file mode 100644
index 00000000000..c6281c8d50a
--- /dev/null
+++ b/srcpkgs/mcos-mjv-xfce-edition/template
@@ -0,0 +1,39 @@
+# Template file for 'mcos-mjv-xfce-edition'
+pkgname=mcos-mjv-xfce-edition
+_pkgname=McOS-MJV-XFCE-Edition
+version=6435c39
+_version=2.3
+revision=1
+archs=noarch
+mcos_import_path=github.com/paullinuxthemer/McOS-MJV-XFCE-Edition
+hostmakedepends="git"
+build_style=fetch
+short_desc="GTK3-theme/ XWM4-theme"
+maintainer="linarcx <linarcx@gmail.com>"
+license="GPL-2"
+homepage="https://github.com/paullinuxthemer/McOS-MJV-XFCE-Edition"
+
+do_fetch() {
+    git clone git://${mcos_import_path} ${pkgname}-${version}
+    cd ${pkgname}-${version}
+}
+
+do_install() {
+
+    vmkdir usr/share/themes
+    vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
+    vmkdir usr/share/themes/McOS-MJV-Xfce
+
+
+    mv McOS-MJV-Dark-XFCE-Edition-"${_version}" McOS-MJV-Dark-Xfce
+    mv "${_pkgname}"-"${_version}" McOS-MJV-Xfce
+
+    cd McOS-MJV-Dark-Xfce
+    vcopy ./* usr/share/themes/McOS-MJV-Dark-Xfce
+    cd ..; cd McOS-MJV-Xfce
+    vcopy ./* usr/share/themes/McOS-MJV-Xfce
+}
+
+post_install() {
+    vlicense LICENSE
+}

From 2c92dedb50775773672c8bbf6c1a7cfd6671c07b Mon Sep 17 00:00:00 2001
From: LinArcX <linarcx@gmail.com>
Date: Sun, 21 Jul 2019 02:16:39 +0430
Subject: [PATCH 03/10] New package: mcos-mjv-xfce-edition-6435c39

---
 srcpkgs/mcos-mjv-xfce-edition/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/mcos-mjv-xfce-edition/template b/srcpkgs/mcos-mjv-xfce-edition/template
index c6281c8d50a..4984147c4d1 100644
--- a/srcpkgs/mcos-mjv-xfce-edition/template
+++ b/srcpkgs/mcos-mjv-xfce-edition/template
@@ -1,20 +1,20 @@
 # Template file for 'mcos-mjv-xfce-edition'
 pkgname=mcos-mjv-xfce-edition
-_pkgname=McOS-MJV-XFCE-Edition
 version=6435c39
-_version=2.3
 revision=1
 archs=noarch
-mcos_import_path=github.com/paullinuxthemer/McOS-MJV-XFCE-Edition
 hostmakedepends="git"
 build_style=fetch
 short_desc="GTK3-theme/ XWM4-theme"
 maintainer="linarcx <linarcx@gmail.com>"
 license="GPL-2"
 homepage="https://github.com/paullinuxthemer/McOS-MJV-XFCE-Edition"
+_pkgname=McOS-MJV-XFCE-Edition
+_version=2.3
+_mcos_import_path=github.com/paullinuxthemer/McOS-MJV-XFCE-Edition
 
 do_fetch() {
-    git clone git://${mcos_import_path} ${pkgname}-${version}
+    git clone git://${_mcos_import_path} ${pkgname}-${version}
     cd ${pkgname}-${version}
 }
 

From 3909ec81d8c046645175fae7320e19f52cf6d8bd Mon Sep 17 00:00:00 2001
From: LinArcX <linarcx@gmail.com>
Date: Sun, 21 Jul 2019 02:18:58 +0430
Subject: [PATCH 04/10] New package: mcos-mjv-xfce-edition-6435c39

---
 srcpkgs/mcos-mjv-xfce-edition/template | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/srcpkgs/mcos-mjv-xfce-edition/template b/srcpkgs/mcos-mjv-xfce-edition/template
index 4984147c4d1..5e8eb78ab17 100644
--- a/srcpkgs/mcos-mjv-xfce-edition/template
+++ b/srcpkgs/mcos-mjv-xfce-edition/template
@@ -3,8 +3,8 @@ pkgname=mcos-mjv-xfce-edition
 version=6435c39
 revision=1
 archs=noarch
-hostmakedepends="git"
 build_style=fetch
+hostmakedepends="git"
 short_desc="GTK3-theme/ XWM4-theme"
 maintainer="linarcx <linarcx@gmail.com>"
 license="GPL-2"
@@ -19,7 +19,6 @@ do_fetch() {
 }
 
 do_install() {
-
     vmkdir usr/share/themes
     vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
     vmkdir usr/share/themes/McOS-MJV-Xfce

From f57e2edfb7525f5eba13ab748eb735bae4bc57df Mon Sep 17 00:00:00 2001
From: LinArcX <linarcx@gmail.com>
Date: Sun, 21 Jul 2019 02:25:41 +0430
Subject: [PATCH 05/10] New package: mcos-mjv-xfce-edition-6435c39

---
 srcpkgs/mcos-mjv-xfce-edition/template | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

diff --git a/srcpkgs/mcos-mjv-xfce-edition/template b/srcpkgs/mcos-mjv-xfce-edition/template
index 5e8eb78ab17..dcb9153c987 100644
--- a/srcpkgs/mcos-mjv-xfce-edition/template
+++ b/srcpkgs/mcos-mjv-xfce-edition/template
@@ -14,25 +14,25 @@ _version=2.3
 _mcos_import_path=github.com/paullinuxthemer/McOS-MJV-XFCE-Edition
 
 do_fetch() {
-    git clone git://${_mcos_import_path} ${pkgname}-${version}
-    cd ${pkgname}-${version}
+	git clone git://${_mcos_import_path} ${pkgname}-${version}
+	cd ${pkgname}-${version}
 }
 
 do_install() {
-    vmkdir usr/share/themes
-    vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
-    vmkdir usr/share/themes/McOS-MJV-Xfce
+	vmkdir usr/share/themes
+	vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
+	vmkdir usr/share/themes/McOS-MJV-Xfce
 
 
-    mv McOS-MJV-Dark-XFCE-Edition-"${_version}" McOS-MJV-Dark-Xfce
-    mv "${_pkgname}"-"${_version}" McOS-MJV-Xfce
+	mv McOS-MJV-Dark-XFCE-Edition-"${_version}" McOS-MJV-Dark-Xfce
+	mv "${_pkgname}"-"${_version}" McOS-MJV-Xfce
 
-    cd McOS-MJV-Dark-Xfce
-    vcopy ./* usr/share/themes/McOS-MJV-Dark-Xfce
-    cd ..; cd McOS-MJV-Xfce
-    vcopy ./* usr/share/themes/McOS-MJV-Xfce
+	cd McOS-MJV-Dark-Xfce
+	vcopy ./* usr/share/themes/McOS-MJV-Dark-Xfce
+	cd ..; cd McOS-MJV-Xfce
+	vcopy ./* usr/share/themes/McOS-MJV-Xfce
 }
 
 post_install() {
-    vlicense LICENSE
+	license LICENSE
 }

From 76ab566a005c242be0193e4dce2561e6457948c1 Mon Sep 17 00:00:00 2001
From: LinArcX <linarcx@gmail.com>
Date: Sun, 21 Jul 2019 02:34:11 +0430
Subject: [PATCH 06/10] New package: mcos-mjv-xfce-edition-6435c39

---
 srcpkgs/mcos-mjv-xfce-edition/template | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/mcos-mjv-xfce-edition/template b/srcpkgs/mcos-mjv-xfce-edition/template
index dcb9153c987..7356e52dbfe 100644
--- a/srcpkgs/mcos-mjv-xfce-edition/template
+++ b/srcpkgs/mcos-mjv-xfce-edition/template
@@ -14,8 +14,8 @@ _version=2.3
 _mcos_import_path=github.com/paullinuxthemer/McOS-MJV-XFCE-Edition
 
 do_fetch() {
-	git clone git://${_mcos_import_path} ${pkgname}-${version}
-	cd ${pkgname}-${version}
+    git clone git://${_mcos_import_path} ${pkgname}-${version}
+    cd ${pkgname}-${version}
 }
 
 do_install() {
@@ -23,7 +23,6 @@ do_install() {
 	vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
 	vmkdir usr/share/themes/McOS-MJV-Xfce
 
-
 	mv McOS-MJV-Dark-XFCE-Edition-"${_version}" McOS-MJV-Dark-Xfce
 	mv "${_pkgname}"-"${_version}" McOS-MJV-Xfce
 

From e2ea19267508fe8fdf80e01936c741f89b49e412 Mon Sep 17 00:00:00 2001
From: LinArcX <linarcx@gmail.com>
Date: Sun, 21 Jul 2019 02:39:55 +0430
Subject: [PATCH 07/10] New package: mcos-mjv-xfce-edition-6435c39

---
 srcpkgs/mcos-mjv-xfce-edition/template | 22 ++++++++++------------
 1 file changed, 10 insertions(+), 12 deletions(-)

diff --git a/srcpkgs/mcos-mjv-xfce-edition/template b/srcpkgs/mcos-mjv-xfce-edition/template
index 7356e52dbfe..312eec67dcb 100644
--- a/srcpkgs/mcos-mjv-xfce-edition/template
+++ b/srcpkgs/mcos-mjv-xfce-edition/template
@@ -19,19 +19,17 @@ do_fetch() {
 }
 
 do_install() {
-	vmkdir usr/share/themes
-	vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
-	vmkdir usr/share/themes/McOS-MJV-Xfce
-
-	mv McOS-MJV-Dark-XFCE-Edition-"${_version}" McOS-MJV-Dark-Xfce
-	mv "${_pkgname}"-"${_version}" McOS-MJV-Xfce
-
-	cd McOS-MJV-Dark-Xfce
-	vcopy ./* usr/share/themes/McOS-MJV-Dark-Xfce
-	cd ..; cd McOS-MJV-Xfce
-	vcopy ./* usr/share/themes/McOS-MJV-Xfce
+    vmkdir usr/share/themes
+    vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
+    vmkdir usr/share/themes/McOS-MJV-Xfce
+    mv McOS-MJV-Dark-XFCE-Edition-"${_version}" McOS-MJV-Dark-Xfce
+    mv "${_pkgname}"-"${_version}" McOS-MJV-Xfce
+    cd McOS-MJV-Dark-Xfce
+    vcopy ./* usr/share/themes/McOS-MJV-Dark-Xfce
+    cd ..;cd McOS-MJV-Xfce
+    vcopy ./* usr/share/themes/McOS-MJV-Xfce
 }
 
 post_install() {
-	license LICENSE
+    license LICENSE
 }

From 02816218226ece6ea5cf16f05f9f4362727b2033 Mon Sep 17 00:00:00 2001
From: LinArcX <linarcx@gmail.com>
Date: Sun, 21 Jul 2019 10:36:19 +0430
Subject: [PATCH 08/10] New package: mcos-mjv-xfce-edition-6435c39

---
 srcpkgs/mcos-mjv-xfce-edition/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mcos-mjv-xfce-edition/template b/srcpkgs/mcos-mjv-xfce-edition/template
index 312eec67dcb..0cdc5d84d7e 100644
--- a/srcpkgs/mcos-mjv-xfce-edition/template
+++ b/srcpkgs/mcos-mjv-xfce-edition/template
@@ -32,4 +32,4 @@ do_install() {
 
 post_install() {
     license LICENSE
-}
+}
\ No newline at end of file

From 59c169249afbff031c0d7f3660befdecaaba8fc0 Mon Sep 17 00:00:00 2001
From: LinArcX <linarcx@gmail.com>
Date: Mon, 22 Jul 2019 12:50:57 +0430
Subject: [PATCH 09/10] New package: mcos-mjv-xfce-edition-6435c39

---
 srcpkgs/mcos-mjv-xfce-edition/template | 59 ++++++++++++++++----------
 1 file changed, 37 insertions(+), 22 deletions(-)

diff --git a/srcpkgs/mcos-mjv-xfce-edition/template b/srcpkgs/mcos-mjv-xfce-edition/template
index 0cdc5d84d7e..b816dc219c8 100644
--- a/srcpkgs/mcos-mjv-xfce-edition/template
+++ b/srcpkgs/mcos-mjv-xfce-edition/template
@@ -1,35 +1,50 @@
 # Template file for 'mcos-mjv-xfce-edition'
 pkgname=mcos-mjv-xfce-edition
-version=6435c39
+version=0
 revision=1
+_commit=6435c3919386006bee4895da617a3a2d42c5b7ac
 archs=noarch
-build_style=fetch
-hostmakedepends="git"
 short_desc="GTK3-theme/ XWM4-theme"
 maintainer="linarcx <linarcx@gmail.com>"
 license="GPL-2"
 homepage="https://github.com/paullinuxthemer/McOS-MJV-XFCE-Edition"
-_pkgname=McOS-MJV-XFCE-Edition
-_version=2.3
-_mcos_import_path=github.com/paullinuxthemer/McOS-MJV-XFCE-Edition
-
-do_fetch() {
-    git clone git://${_mcos_import_path} ${pkgname}-${version}
-    cd ${pkgname}-${version}
-}
+distfiles="${homepage}/archive/${_commit}.tar.gz"
+checksum=e79e1fe35639440378c10f00d22570817101aa6a21d29413565a1ba9501e35e0
+nocross=yes
+nopie=yes
 
 do_install() {
     vmkdir usr/share/themes
-    vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
-    vmkdir usr/share/themes/McOS-MJV-Xfce
-    mv McOS-MJV-Dark-XFCE-Edition-"${_version}" McOS-MJV-Dark-Xfce
-    mv "${_pkgname}"-"${_version}" McOS-MJV-Xfce
-    cd McOS-MJV-Dark-Xfce
-    vcopy ./* usr/share/themes/McOS-MJV-Dark-Xfce
-    cd ..;cd McOS-MJV-Xfce
-    vcopy ./* usr/share/themes/McOS-MJV-Xfce
+#    vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
+#    vmkdir usr/share/themes/McOS-MJV-Xfce
+    ls
+
+#    mv McOS-MJV-Dark-XFCE-Edition-"${_version}" McOS-MJV-Dark-Xfce
+#    mv "${_pkgname}"-"${_version}" McOS-MJV-Xfce
+#    cd McOS-MJV-Dark-Xfce
+#    vcopy ./* usr/share/themes/McOS-MJV-Dark-Xfce
+#    cd ..;cd McOS-MJV-Xfce
+#    vcopy ./* usr/share/themes/McOS-MJV-Xfce
 }
 
-post_install() {
-    license LICENSE
-}
\ No newline at end of file
+#post_install() {
+#    license LICENSE
+#}
+
+#=> mcos-mjv-xfce-edition-0_1: verifying checksum for distfile '6435c3919386006bee4895da617a3a2d42c5b7ac.tar.gz'... OK.
+#=> mcos-mjv-xfce-edition-0_1: running do-extract hook: 00-distfiles ...
+#=> mcos-mjv-xfce-edition-0_1: extracting distfile(s), please wait...
+#/void-packages/common/xbps-src/shutils/common.sh: line 31: cd: /builddir/mcos-mjv-xfce-edition-0: No such file or directory
+#=> ERROR: mcos-mjv-xfce-edition-0_1: cannot access wrksrc directory [/builddir/mcos-mjv-xfce-edition-0]
+
+
+#hostmakedepends="git"
+#build_style=fetch
+#_pkgname=McOS-MJV-XFCE-Edition
+#_version=2.3
+#_mcos_import_path=github.com/paullinuxthemer/McOS-MJV-XFCE-Edition
+
+#do_fetch() {
+#    git clone git://${_mcos_import_path} ${pkgname}-${version}
+#    cd ${pkgname}-${version}
+#}

From f0c81be4a67aa31a9c1b1cd400699567c51d3bf0 Mon Sep 17 00:00:00 2001
From: LinArcX <linarcx@gmail.com>
Date: Mon, 22 Jul 2019 17:51:50 +0430
Subject: [PATCH 10/10] New package: mcos-mjv-xfce-edition-0

---
 srcpkgs/mcos-mjv-xfce-edition/template | 47 ++++++++------------------
 1 file changed, 14 insertions(+), 33 deletions(-)

diff --git a/srcpkgs/mcos-mjv-xfce-edition/template b/srcpkgs/mcos-mjv-xfce-edition/template
index b816dc219c8..7ec84d3a1a5 100644
--- a/srcpkgs/mcos-mjv-xfce-edition/template
+++ b/srcpkgs/mcos-mjv-xfce-edition/template
@@ -2,49 +2,30 @@
 pkgname=mcos-mjv-xfce-edition
 version=0
 revision=1
+_pkgname=McOS-MJV-XFCE-Edition
 _commit=6435c3919386006bee4895da617a3a2d42c5b7ac
 archs=noarch
+create_wrksrc=yes
+wrksrc="${_pkgname}-${_commit}"
 short_desc="GTK3-theme/ XWM4-theme"
 maintainer="linarcx <linarcx@gmail.com>"
 license="GPL-2"
 homepage="https://github.com/paullinuxthemer/McOS-MJV-XFCE-Edition"
 distfiles="${homepage}/archive/${_commit}.tar.gz"
 checksum=e79e1fe35639440378c10f00d22570817101aa6a21d29413565a1ba9501e35e0
-nocross=yes
-nopie=yes
+_version=2.3
 
 do_install() {
     vmkdir usr/share/themes
-#    vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
-#    vmkdir usr/share/themes/McOS-MJV-Xfce
-    ls
+    vmkdir usr/share/themes/McOS-MJV-Dark-Xfce
+    vmkdir usr/share/themes/McOS-MJV-Xfce
 
-#    mv McOS-MJV-Dark-XFCE-Edition-"${_version}" McOS-MJV-Dark-Xfce
-#    mv "${_pkgname}"-"${_version}" McOS-MJV-Xfce
-#    cd McOS-MJV-Dark-Xfce
-#    vcopy ./* usr/share/themes/McOS-MJV-Dark-Xfce
-#    cd ..;cd McOS-MJV-Xfce
-#    vcopy ./* usr/share/themes/McOS-MJV-Xfce
-}
-
-#post_install() {
-#    license LICENSE
-#}
-
-#=> mcos-mjv-xfce-edition-0_1: verifying checksum for distfile '6435c3919386006bee4895da617a3a2d42c5b7ac.tar.gz'... OK.
-#=> mcos-mjv-xfce-edition-0_1: running do-extract hook: 00-distfiles ...
-#=> mcos-mjv-xfce-edition-0_1: extracting distfile(s), please wait...
-#/void-packages/common/xbps-src/shutils/common.sh: line 31: cd: /builddir/mcos-mjv-xfce-edition-0: No such file or directory
-#=> ERROR: mcos-mjv-xfce-edition-0_1: cannot access wrksrc directory [/builddir/mcos-mjv-xfce-edition-0]
+    cd ${_pkgname}-${_commit}
 
-
-#hostmakedepends="git"
-#build_style=fetch
-#_pkgname=McOS-MJV-XFCE-Edition
-#_version=2.3
-#_mcos_import_path=github.com/paullinuxthemer/McOS-MJV-XFCE-Edition
-
-#do_fetch() {
-#    git clone git://${_mcos_import_path} ${pkgname}-${version}
-#    cd ${pkgname}-${version}
-#}
+    mv McOS-MJV-Dark-XFCE-Edition-"${_version}" McOS-MJV-Dark-Xfce
+    mv "${_pkgname}"-"${_version}" McOS-MJV-Xfce
+    cd McOS-MJV-Dark-Xfce
+    vcopy ./* usr/share/themes/McOS-MJV-Dark-Xfce
+    cd ..;cd McOS-MJV-Xfce
+    vcopy ./* usr/share/themes/McOS-MJV-Xfce
+}
